Activity log for bug #1590508

Date Who What changed Old value New value Message
2016-06-08 17:55:12 William Hua bug added bug
2016-06-08 17:55:12 William Hua attachment added gnome-software_3.20.1+git20160608.1.6fbada8-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/bugs/1590508/+attachment/4679988/+files/gnome-software_3.20.1+git20160608.1.6fbada8-ubuntu-xenial-0ubuntu1.debdiff
2016-06-08 18:49:52 William Hua description [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix conversion from star ratings (1-5) to G-S rating (0-100) * Fix wilson score calulation * Make the app folder dialog work again (LP: #1590115) [Test Case] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) [Test Case] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated.
2016-06-08 18:55:54 William Hua description [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) [Test Case] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) (LP: #1575529) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) [Test Case] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated.
2016-06-08 19:00:07 William Hua attachment added gnome-software_3.20.1+git20160608.1.6fbada8-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4679992/+files/gnome-software_3.20.1+git20160608.1.6fbada8-ubuntu-xenial-0ubuntu1.debdiff
2016-06-08 20:27:49 Ubuntu Foundations Team Bug Bot tags patch
2016-06-08 20:27:57 Ubuntu Foundations Team Bug Bot bug added subscriber Ubuntu Sponsors Team
2016-06-09 03:38:38 Mathew Hodson gnome-software (Ubuntu): importance Undecided Medium
2016-06-09 14:37:51 Jeremy Bicha bug added subscriber Jeremy Bicha
2016-06-09 16:32:32 William Hua attachment added gnome-software_3.20.1+git20160609.1.ba8379c-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4680518/+files/gnome-software_3.20.1+git20160609.1.ba8379c-ubuntu-xenial-0ubuntu1.debdiff
2016-06-10 14:03:17 William Hua attachment added gnome-software_3.20.1+git20160609.1.ba8379c-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4681092/+files/gnome-software_3.20.1+git20160609.1.ba8379c-ubuntu-xenial-0ubuntu1.debdiff
2016-06-14 06:10:19 William Hua attachment added gnome-software_3.20.1+git20160614.1.487752c-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4683328/+files/gnome-software_3.20.1+git20160614.1.487752c-ubuntu-xenial-0ubuntu1.debdiff
2016-06-14 15:54:03 William Hua attachment added gnome-software_3.20.1+git20160614.1.bdc8392-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4683652/+files/gnome-software_3.20.1+git20160614.1.bdc8392-ubuntu-xenial-0ubuntu1.debdiff
2016-06-14 17:11:24 William Hua attachment added gnome-software_3.20.1+git20160614.1.edcffc1-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4683665/+files/gnome-software_3.20.1+git20160614.1.edcffc1-ubuntu-xenial-0ubuntu1.debdiff
2016-06-14 17:18:11 William Hua description [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) (LP: #1575529) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) [Test Case] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) (LP: #1575529) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) * Remove broken symlink of xdg-app-reviews plugin (LP: #1573052) * Promote curated snaps on overview shell * Disable redundant notification (LP: #1592382) * Disable app folders feature when run outside GNOME (LP: #1590152) [Test Cases] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review * Run gnome-software from the command line, verify there's no warning "failed to open plugin /usr/lib/gs-plugins-9/libgs_plugin_xdg_app_reviews.so" [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. Some of these changes are simple removal of features that aren't supported under Unity.
2016-06-16 13:43:21 Iain Lane nominated for series Ubuntu Xenial
2016-06-16 13:43:21 Iain Lane bug task added gnome-software (Ubuntu Xenial)
2016-06-16 17:51:36 William Hua attachment added gnome-software_3.20.1+git20160616.1.a708c4e-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4685045/+files/gnome-software_3.20.1+git20160616.1.a708c4e-ubuntu-xenial-0ubuntu1.debdiff
2016-06-16 17:52:06 William Hua description [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Snaps not displaying human-readable names (LP: #1555569) * Some KDE4 applications cannot be launched (e.g. kolourpaint) (LP: #1575529) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) * Remove broken symlink of xdg-app-reviews plugin (LP: #1573052) * Promote curated snaps on overview shell * Disable redundant notification (LP: #1592382) * Disable app folders feature when run outside GNOME (LP: #1590152) [Test Cases] * Search for "ubuntu-calculator" from the overview shell. The name should be "Ubuntu Calculator application for the Unity 7 desktop", not "ubuntu-calculator-app" * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review * Run gnome-software from the command line, verify there's no warning "failed to open plugin /usr/lib/gs-plugins-9/libgs_plugin_xdg_app_reviews.so" [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. Some of these changes are simple removal of features that aren't supported under Unity. [Impact] Improve the usability of GNOME Software by fixing the following bugs: * Some KDE4 applications cannot be launched (e.g. kolourpaint) (LP: #1575529) * Added error checking for the case where the ratings and reviews server isn't accessible * Fix a couple of CSS errors * Fix calculation of review ratings (LP: #1581938) * Make the app folder dialog work again (LP: #1590115) * Remove broken symlink of xdg-app-reviews plugin (LP: #1573052) * Disable redundant notification (LP: #1592382) * Disable app folders feature when run outside GNOME (LP: #1590152) [Test Cases] * Install, then attempt to launch kolourpaint from the details shell * Disconnect from the network, then attempt to submit a review * Run gnome-software from the command line, verify there's no warning "failed to open plugin /usr/lib/gs-plugins-9/libgs_plugin_xdg_app_reviews.so" [Regression Potential] Regression potential should be low as the fixes for these bugs are fairly isolated. Some of these changes are simple removal of features that aren't supported under Unity.
2016-06-16 18:12:18 William Hua attachment added gnome-software_3.20.1+git20160616.1.a708c4e-ubuntu-xenial-0ubuntu1.debdiff https://bugs.launchpad.net/ubuntu/+source/gnome-software/+bug/1590508/+attachment/4685046/+files/gnome-software_3.20.1+git20160616.1.a708c4e-ubuntu-xenial-0ubuntu1.debdiff
2016-06-16 19:25:40 Mathew Hodson gnome-software (Ubuntu Xenial): importance Undecided Medium
2016-06-16 20:00:42 Launchpad Janitor gnome-software (Ubuntu): status New Confirmed
2016-06-16 20:00:42 Launchpad Janitor gnome-software (Ubuntu Xenial): status New Confirmed
2016-06-17 11:17:18 Launchpad Janitor gnome-software (Ubuntu): status Confirmed Fix Released
2016-06-17 13:26:05 Sebastien Bacher removed subscriber Ubuntu Sponsors Team
2016-06-17 13:26:07 Sebastien Bacher gnome-software (Ubuntu Xenial): status Confirmed Fix Committed
2016-06-21 06:24:57 Martin Pitt bug added subscriber Ubuntu Stable Release Updates Team
2016-06-21 06:24:59 Martin Pitt bug added subscriber SRU Verification
2016-06-21 06:25:02 Martin Pitt tags patch patch verification-needed
2016-06-24 13:48:25 Sebastien Bacher tags patch verification-needed patch verification-done
2016-07-04 10:13:14 Launchpad Janitor gnome-software (Ubuntu Xenial): status Fix Committed Fix Released
2016-07-04 10:13:41 Martin Pitt removed subscriber Ubuntu Stable Release Updates Team